%define	upstream_name    Convert-PEM
%define	upstream_version 0.08

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 14

Summary:	Read/write encrypted ASN.1 PEM files
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/Convert/%{upstream_name}-%{upstream_version}.tar.gz
# Disable tests relying on probabilistic output, bug #1136745, CPAN RT#27574
Patch0:         Convert-PEM-0.08-Do-not-test-the-reason-for-decryption-failure-on-bad.patch
Patch1:         Convert-PEM-0.08-Fix-building-on-Perl-without-dot-in-INC.patch

BuildRequires:	perl(Convert::ASN1) 
BuildRequires:  perl(Class::ErrorHandler)
BuildRequires:  perl(Crypt::DES_EDE3)
BuildRequires:	perl(inc::Module::Install)
# Tests only
BuildRequires:  perl(Math::BigInt)
BuildRequires:  perl(Test::Exception)
BuildRequires:  perl(Test::More)
BuildArch:	noarch

# not found automatically
Requires:	perl(Class::ErrorHandler)
Requires:	perl

%description
Convert::PEM reads and writes PEM files containing ASN.1-encoded
objects. The files can optionally be encrypted using a symmetric cipher
algorithm, such as 3DES.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%patch -P 0 -p1
%patch -P 1 -p1
# Remove the unused bundle
rm -rf inc/Spiffy.pm inc/Sub/ inc/Test/
sed -e '/^inc\/\(Spiffy\|Sub\|Test\)/d' -i MANIFEST

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc README Changes
%{perl_vendorlib}/*
%{_mandir}/*/*


%changelog
* Sun Dec 22 2024 pterjan <pterjan> 0.80.0-14.mga10
+ Revision: 2128019
- Rebuild for patchN deprecation

* Tue Nov 01 2022 umeabot <umeabot> 0.80.0-13.mga9
+ Revision: 1901146
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.80.0-12.mga8
+ Revision: 1503600
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.80.0-11.mga7
+ Revision: 1282521
- Mageia 7 Mass Rebuild

* Sun Oct 08 2017 tv <tv> 0.80.0-10.mga7
+ Revision: 1170326
- add BRs for testsuite
- Disable tests relying on probabilistic output (rhbz#1136745, CPAN RT#27574)
  Fix building on Perl without dot in INC

* Mon Oct 02 2017 tv <tv> 0.80.0-9.mga7
+ Revision: 1163557
- rebuild with fixed rpm for missing autodeps

* Mon Sep 25 2017 tv <tv> 0.80.0-8.mga7
+ Revision: 1158985
- add BR on perl(inc::Module::Install)

* Sat Jun 18 2016 pterjan <pterjan> 0.80.0-7.mga6
+ Revision: 1024375
- Rebuild for perl 5.22.2

* Fri Feb 05 2016 umeabot <umeabot> 0.80.0-6.mga6
+ Revision: 938882
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.80.0-5.mga5
+ Revision: 744804
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.80.0-4.mga5
+ Revision: 684018
- Mageia 5 Mass Rebuild
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.80.0-2.mga3
+ Revision: 364800
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 21 2011 jquelin <jquelin> 0.80.0-1.mga1
+ Revision: 29579
- mageia rebuild
- imported package perl-Convert-PEM

